Name: sssd-myconf
Version: 1.0
Release: 0.%(perl -e 'print time()')
Summary: Custom SSSD configuration
License: MIT
Group: Development/Tools

Requires: sssd
Requires: sssd-ldap
Requires: sssd-tools

%description
Config file for sssd with ldap

%pre
rm -f /etc/sssd/sssd.conf.myconf

%post
cp -f /etc/sssd/sssd.conf.myconf /etc/sssd/sssd.conf
/usr/bin/authselect select sssd --force

%install
mkdir -p %{buildroot}/etc/sssd
cp sssd.conf %{buildroot}/etc/sssd/sssd.conf.myconf

%files
%defattr(-,root,root,-)
%attr(644,root,root) /etc/sssd/sssd.conf.myconf

%changelog
* Sat Nov 02 2024 David Rotermund <davrot@uni-bremen.de> - 1.0-1
- Initial RPM release.
